<?php

//ini_set('display_errors',1);
require_once ("../../config/Cado.php");
require_once ("cPresentacion.php");
$oPresentacion = new cPresentacion();

if($_POST['action']=="insertar")
{
	if(!empty($_POST['txt_pre_nom']))
	{
		$rs=$oPresentacion->comprobar_si_existe($_POST['txt_pre_nom']);
		$num=mysqli_num_rows($rs);
		
		if($num>0){
			
		$idcat=$oPresentacion->comprobar_si_existe($_POST['txt_pre_nom']);
		$dtx = mysqli_fetch_array($idcat);
		$pre_id=$dtx['tb_presentacion_id'];
		mysqli_free_result($dtx);
		
		$data['pre_id']=$pre_id;
		$data['pre_msj']='Se registró presentacion correctamente.';
		
		}else
		{
		
		$oPresentacion->insertar($_POST['txt_pre_nom']);
		
		$dts=$oPresentacion->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$pre_id=$dt['id'];
		mysqli_free_result($dts);	
		
		$data['pre_id']=$pre_id;
		$data['pre_msj']='Se registró presentacion correctamente.';				
		}
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente';
	}
}
if($_POST['action']=="editar")
{
	if(!empty($_POST['txt_pre_nom']))
	{
		$oPresentacion->modificar($_POST['hdd_pre_id'],$_POST['txt_pre_nom']);
		
		$data['pre_msj']='Se modificó la presentacion correctamente.';
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente';
	}
}
if($_POST['action']=="eliminar")
{
	if(!empty($_POST['id'])){
		$oPresentacion->modificar_campo($_POST['id'],'xac','0');
		echo 'Se envió a la papelera correctamente.';
		
	}else{
		echo 'Intentelo nuevamente.';
	}
}
?>